Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.support
[Java] Class BeanPostProcessorAdapter

    java.lang.Object
      org.codehaus.groovy.grails.plugins.support.BeanPostProcessorAdapter

All Implemented Interfaces:
  org.springframework.beans.factory.config.BeanPostProcessor

    public class BeanPostProcessorAdapter
    extends java.lang.Object

Adapter implementation of org.springframework.beans.factory.config.BeanPostProcessor.

Authors:
  Steven Devijver

Since:
  0.2

Method Summary
`java.lang.Object` | `postProcessAfterInitialization(java.lang.Object bean, java.lang.String beanName)` @param bean
`java.lang.Object` | `postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)` @param bean

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### postProcessAfterInitialization

    public java.lang.Object postProcessAfterInitialization(java.lang.Object bean, java.lang.String beanName)

  throws:
    BeansException
  Parameters:
    bean
    beanName
  Returns:
    The specified bean
  See Also:
    org.springframework.beans.factory.config.BeanPostProcessor#postProcessAfterInitialization(java.lang.Object, java.lang.String)

### postProcessBeforeInitialization

    public java.lang.Object postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)

  throws:
    BeansException
  Parameters:
    bean
    beanName
  Returns:
    The specified bean
  See Also:
    org.springframework.beans.factory.config.BeanPostProcessor#postProcessBeforeInitialization(java.lang.Object, java.lang.String)

Groovy Documentation